Windows Administration - Support #783

Install WSUS on Windows Server 2012 Core
03/19/2016 01:56 PM - Daniel Curtis

Status: Closed Start date: 03/20/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Server Management Estimated time: 2.00 hours
Target version: Windows Server 2012 Spent time: 7.50 hours
Description

One of the uses for my Windows Server is to use Windows Server Update Services (WSUS) to manage centralized updates for the
various Windows boxes on my network. This is a simple guide for setting up a standalone WSUS on a Windows Server 2012 R2
Core machine using PowerShell.

Install WSUS

® From the command prompt, open a PowerShell session:
powershell
¢ |nstall the WSUS feature using the Windows Internal Database (WID) as the database:
Install-WindowsFeature -Name UpdateServices -IncludeManagementTools
e After installing WSUS, point the application to a location to store downloads:

cd "C:\Program Files\Update Services\Tools\"
.\WsusUtil.exe PostInstall CONTENT_DIR=C:\WSUS

Remote Management

e Make sure to add the remote workstation being used to administer the windows server as a TrustedHost on the WSUS server:

winrm set winrm/config/client @{TrustedHosts="rsat.example.com"}

o NOTE: If any other configuration changes are needed, use winrm quickconfig to identify and remedy them:
winrm quickconfig
e And also enable remote powershell connections:
Enable-PSRemoting -force
e Add the Remote Desktop firewall rules on the WSUS server:
netsh advfirewall firewall set rule group="Remote Desktop" new enable=Yes

e Add the Windows Management Instrumentation (WMI) and Remote Event Log Management firewall rules on the WSUS server:
netsh advfirewall firewall set rule group="Windows Management Instrumentation (WMI)" new enabl
e=yes
netsh advfirewall firewall set rule group=“Remote Event Log Management” new enable=yes

Windows 7 Host

1. Install the Microsoft Report Viewer

2. Download Windows Server Update Services 3.0 SP2 KB972455 and install the Administration Console only.

3. Once the console is installed, also install KB2734608 to add support for Windows 8 and Server 2012.

4. Open Windows Server Update Services and connect to the remote server wsus.example.com on port 8530.

5. On the computer that is running Server Manager, add remote servers to the local computer’s TrustedHosts list in a Windows
PowerShell session:

Set-Item wsman:\localhost\Client\TrustedHosts wsus.example.com -Concatenate —-Force

Windows 8 Host

1. Install the Microsoft Report Viewer

2. Install the Windows 8 Remote Server Administration Tool

3. Open Windows Server Update Services and connect to the remote server wsus.example.com on port 8530.

4. On the computer that is running Server Manager, add remote servers to the local computer’s TrustedHosts list in a Windows
PowerShell session:

Set-Item wsman:\localhost\Client\TrustedHosts wsus.example.com -Concatenate —-Force

Local Management

® Set the WSUS Server Object in the $wsus variable:
Swsus = Get-WSUSServer

¢ Set the WSUS server configuration in the $wsusConfig variable:
SwsusConfig = S$Swsus.GetConfiguration ()

e Set to download updates from Microsoft Updates
Set-WsusServerSynchronization -SyncFromMU

e Set Update Languages to only use English and save configuration settings

SwsusConfig.AllUpdateLanguagesEnabled = $false
SwsusConfig.SetEnabledUpdateLanguages (“en”)
SwsusConfig.Save ()

e Get WSUS Subscription and perform initial synchronization to get latest categories

Ssubscription = S$Swsus.GetSubscription ()
Ssubscription.StartSynchronizationForCategoryOnly ()
https://www.microsoft.com/en-us/download/details.aspx?id=6576
http://www.microsoft.com/en-us/download/details.aspx?id=5216
http://support.microsoft.com/kb/2734608/en-us
https://www.microsoft.com/en-us/download/details.aspx?id=6576
https://www.microsoft.com/en-us/download/details.aspx?id=28972

While ($subscription.GetSynchronizationStatus ()
Write—-Host “.” —-NoNewline
Start-Sleep —-Seconds 5

Write-Host “Sync is done.”

Configure the Platforms that WSUS will use to receive updates:

Get-WsusServer |
e" } | Set-WsusProduct -Verbose
Get-WsusServer | Get-WsusProduct |
ws" } | Set-WsusProduct -Verbose
Get-WsusServer | Get-WsusProduct |
ws Server 2012 R2" } |

Get-WsusProduct | Where-Object

Where-Object
Where-Object
Set-WsusProduct -Verbose

Configure the Classifications

Get-WsusClassification | Where-Object {
S_.Classification.Title -in (
‘Update Rollups’,

‘Security Updates’,

‘Critical Updates’,

‘Service Packs’,

‘Updates’)

Set-WsusClassification —-Verbose

Configure Synchronizations

Ssubscription.SynchronizeAutomatically=S$true

Set synchronization scheduled for midnight each night

Ssubscription.SynchronizeAutomaticallyTimeOfDay=
Ssubscription.NumberOfSynchronizationsPerDay=1
Ssubscription.Save ()

e Start a synchronization:

Ssubscription.StartSynchronization ()

® To check on the progress of the synchronization:

$Ssubscription.GetSynchronizationProgress ()

* When the synchronization finishes, check the status:

Ssubscription.GetLastSynchronizationInfo ()

Connect Non-Domain Hosts
e Create a wsus.reg file:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate]
"AcceptTrustedPublisherCerts"=dword:00000001
"ElevateNonAdmins"=dword:00000001

"TargetGroup"="Workstations"

"TargetGroupEnabled"=dword:00000000
"WUServer"="http://wsus.example.com:8530";
"WUStatusServer"="http://wsus.example.com:8530";

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate\AU]
"AUOptions"=dword:00000002
"UseWUServer"=dword:00000001

® Then import the wsus.reg file into the Windows registry.

NOTE: If you receive an error when checking for updates, try resetting the authorization cookie on the client:

wuauclt.exe /resetauthorization /detectnow

Resources

https://4sysops.com/archives/install-wsus-on-server-2012-with-powershell/
https://www.microsoft.com/en-us/download/details.aspx?id=28972

http://www.shnake.com/?p=821

https://technet.microsoft.com/en-us/library/dd939916(v=ws.10).aspx
https://technet.microsoft.com/en-us/library/dd939859(v=ws.10).aspx

e https://pOw3rsh3ll.wordpress.com/2013/02/05/wsus-on-windows-server-2012-core-from-scratch/

¢ https://blogs.technet.microsoft.com/heyscriptingguy/2013/04/15/installing-wsus-on-windows-server-2012/

¢ http://social.technet.microsoft.com/wiki/contents/articles/13444.windows-server-2012-server-manager-troubleshooting-guide-par

t-ii-troubleshoot-manageability-status-errors-in-server-manager.aspx
https://technet.microsoft.com/en-us/library/hh831453

https://4sysops.com/archives/enable-powershell-remoting-on-a-standalone-workgroup-computer/
https://www.packet6.com/unable-to-remote-desktop-into-windows-server-2012-r2-core/
http://joe.blog.freemansoft.com/2013/02/enabling-remote-management-for-windows.html

History

#1 - 03/20/2016 12:37 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 30
- Description updated
- Description updated

#7 - 03/21/2016 04:04 PM - Daniel Curtis
- % Done changed from 50 to 70

- Description updated

#8 - 03/21/2016 04:33 PM - Daniel Curtis
- Description updated

- % Done changed from 70 to 80

#9 - 04/01/2016 04:19 PM - Daniel Curtis

- Status changed from In Progress to Resolved

- % Done changed from 80 to 100

#10 - 04/09/2016 10:21 AM - Daniel Curtis
- Description updated

- Status changed from Resolved to Closed

#11 - 05/04/2016 12:30 PM - Daniel Curtis

- Description updated

#12 - 05/04/2016 12:48 PM - Daniel Curtis

- Description updated

#13 - 05/04/2016 01:21 PM - Daniel Curtis

- Description updated

#14 - 05/04/2016 01:26 PM - Daniel Curtis

- Description updated

#15 - 05/25/2016 03:45 PM - Daniel Curtis

- Description updated

#16 - 05/25/2016 03:56 PM - Daniel Curtis

- Description updated

#17 - 05/26/2016 04:16 PM - Daniel Curtis

- Description updated

#18 - 06/08/2016 12:21 PM - Daniel Curtis

- Description updated
